
%define _prefix /scisoft

Name:           scisoft-vospec
Version:        6.6
Release:        1%{?dist}
Summary:        Multi-wavelength spectral analysis tool
Distribution:   Scisoft
Group:          Applications/Scientific
License:        GPLv3
Packager:       Carlos Guirao
URL:            https://www.cosmos.esa.int/web/esdc/vospec
Source0:        VOSpec_%{version}.jar

BuildArch:      noarch
Requires:       java

%description
VOSpec is a multi-wavelength spectral analysis tool with access to spectra,
theoretical models and atomic and molecular line databases registered in the VO.

%prep

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 644 %{SOURCE0} %{buildroot}%{_bindir}/

{
  echo '#!/bin/sh'
  echo '#  Find where this script is located.'
  echo 'bindir="`dirname $0`"'
  echo 'java -Xms256m -Xmx1024m  -jar %{_bindir}/VOSpec_%{version}.jar "$1" "$2" "$3" "$4"'
} > %{buildroot}%{_bindir}/vospec

chmod +x %{buildroot}%{_bindir}/vospec

%files
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 6.6
- Incorporated into automated build system for Scisoft.
- Updating Specfile to use standard RPM path location macros.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
